FROM docker.io/library/caddy:2-builder AS builder

RUN xcaddy build --with github.com/aksdb/caddy-cgi/v2

FROM docker.io/library/caddy:latest

RUN apk update && apk add --no-cache git git-daemon cgit python3 py3-pygments py3-markdown py3-docutils groff py3-pip

RUN pip install --break-system-packages catppuccin[pygments]


COPY --from=builder /usr/bin/caddy /usr/bin/caddy
